# ErrorBlinkStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies constants indicating when the error icon, supplied by an [ErrorProvider](/api/wisej.web/extenders/errorprovider.md), should blink to alert the user that an error has occurred.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ErrorBlinkStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ErrorBlinkStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                      | Description                                                                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AlwaysBlink**           | Always blink when the error icon is first displayed, or when a error description string is set for the control and the error icon is already displayed. |
| **BlinkIfDifferentError** | Blinks when the icon is already displayed and a new error string is set for the control.                                                                |
| **NeverBlink**            | Never blink the error icon.                                                                                                                             |

## Used By

| Name                                                                             | Description                                                     |
| -------------------------------------------------------------------------------- | --------------------------------------------------------------- |
| [ErrorProvider.BlinkStyle](/api/wisej.web/extenders/errorprovider.md#blinkstyle) | Returns or sets a value indicating when the error icon flashes. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.errorblinkstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
